LinuxQMISDK: _slqsNetworkScanInfo Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
_slqsNetworkScanInfo Struct Reference

## Data Fields
BYTE * | pNetworkInfoInstances
struct SlqsNas3GppNetworkInfo * | pNetworkInfo
BYTE * | pRATInstances
struct SlqsNas3GppNetworkRAT * | pRATInfo
BYTE * | pPCSDigitInstances
struct SlqsNasPcsDigit * | pPCSDigitInfo
ULONG * | pScanResult

## Detailed Description

Contain the network scan information.

Parameters

  pNetworkInfoInstances[IN/OUT] | Upon input, maximum number of elements that the network info instance array can contain. Upon successful output, the actual number of elements in the network info instance array.
  pNetworkInfo[OUT] | Network info instance array See SlqsNas3GppNetworkInfo for more information
  pRATInstances[IN/OUT] | Upon input, maximum number of elements that the RAT info instance array can contain. Upon successful output, the actual number of elements in the RAT info instance array.
  pRATInfo[OUT] | RAT info instance array See SlqsNas3GppNetworkRAT for more information
  pPCSDigitInstances[IN/OUT] | Upon input, maximum number of elements that the PCS Digit info instance array can contain. Upon successful output, the actual number of elements in the PCS Digit info instance array.
  pPCSDigitInfo[OUT] | PCS Digit info instance array See SlqsNasPcsDigit for more information
  pScanResult[OUT] | status of network scan 0x00 - scan successful 0x01 - scan was aborted 0x02 - scan did not complete due to a radio link failure recovery in progress

## Field Documentation

struct SlqsNas3GppNetworkInfo* _slqsNetworkScanInfo::pNetworkInfo

BYTE* _slqsNetworkScanInfo::pNetworkInfoInstances

struct SlqsNasPcsDigit* _slqsNetworkScanInfo::pPCSDigitInfo

BYTE* _slqsNetworkScanInfo::pPCSDigitInstances

struct SlqsNas3GppNetworkRAT* _slqsNetworkScanInfo::pRATInfo

BYTE* _slqsNetworkScanInfo::pRATInstances

ULONG* _slqsNetworkScanInfo::pScanResult